## openh323gk 2.0b4

=== Makefile ===
#
# Makefile
#
# Make file for OpenH323 Gatekeeper
#

PROG		= gk
SOURCES		= gk.cxx gkauth.cxx gkldap.cxx gkDestAnalysis.cxx \
		  RasSrv.cxx RasTbl.cxx GkClient.cxx \
		  MulticastGRQ.cxx BroadcastListen.cxx \
		  SoftPBX.cxx Toolkit.cxx h323util.cxx GkStatus.cxx \
		  ProxyThread.cxx ProxyChannel.cxx \
		  singleton.cxx GkAuthorize.cxx main.cxx

ifndef OPENH323DIR
OPENH323DIR=$(HOME)/openh323
endif

H323_INCDIR	= ${OPENH323DIR}/include
H323_LIBDIR	= ${OPENH323DIR}/lib
H323_LIB	= h323_$(PLATFORM_TYPE)_$(OBJ_SUFFIX)

STDCCFLAGS := -DLDAP_HAS_CACHE -I${H323_INCDIR} -DPTRACING#-DPASN_NOPRINT
#-DLDAP_HAS_CACHE : do not use ldap-cache (alpha)

# use destination analysis list
WITH_DEST_ANALYSIS_LIST=0
STDCCFLAGS += -D"WITH_DEST_ANALYSIS_LIST=$(WITH_DEST_ANALYSIS_LIST)"

# LDAP support
ifndef NO_LDAP
ifndef LDAP1823DIR
LDAP1823DIR := /usr/include
export LDAP1823DIR
endif
ifndef LDAP1823LIBDIR
LDAP1823LIBDIR := /usr/lib
export LDAP1823LIBDIR
endif
# this is the file name of the lib. To the linker always flag (-l) with
# std. name 'ldap' is passed
ifndef LDAP1823LIBNM
LDAP1823LIBNM := libldap.so
export LDAP1823LIBNM
endif
ifneq (,$(wildcard $(LDAP1823DIR)/ldap.h))
HAVE_LDAP1823_HDRS = 1
endif
ifneq (,$(wildcard $(LDAP1823LIBDIR)/$(LDAP1823LIBNM)))
HAVE_LDAP1823_LIBS = 1
endif

# add test for HAS_LEVEL_TWO_LDAPAPI here
ifneq (,$(wildcard ldap/include/ldapapi.h))
#ifneq (,$(wildcard ldap/lib/libldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX).$(LIB_SUFFIX)))
HAS_LEVEL_TWO_LDAPAPI=1
endif

# This is needed for a locally used encoding lib.
ifdef HAS_MWBB1
ifndef MWBB1DIR
MWBB1DIR := .
endif				# MWBB1DIR
ifndef MWBB1LIBDIR
MWBB1LIBDIR := .
endif				# MWBB1LIBDIR
ifndef MWBB1_TAG
MWBB1_TAG := "{TAG}"
export MWBB1_TAG
endif
STDCCFLAGS	+= -D'MWBB1_TAG=$(MWBB1_TAG)' -I$(MWBB1DIR)
LDFLAGS         += -L$(MWBB1LIBDIR)
ENDLDLIBS	+= -lMWCrypt
ifneq (,(LD_RUN_PATH))
LD_RUN_stub     := $(LD_RUN_PATH)
LD_RUN_PATH     += $(LD_RUN_stub):$(MWBB1LIBDIR)
else
LD_RUN_PATH     += $(MWBB1LIBDIR)
endif
export LD_RUN_PATH
endif				# HAS_MWBB1

ifndef ANSI
STDCCFLAGS	+= -DGK_NOANSI
endif

ifdef HAS_LEVEL_TWO_LDAPAPI
SOURCES += ldaplink.cxx 	  gk_ldap_interface.cxx
LDAP_LIB = ./ldap/lib/libldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX).$(LIB_SUFFIX)

SUBDIRS += ldap/src
#LDLIBS	+= -lldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX) $(TMP_LDLIBS)
#LDFLAGS += -L./ldap/lib/
HAS_LDAP	= 1
STDCCFLAGS	+= -I./ldap/include -D"HAS_LDAP=$(HAS_LDAP)" \
                   -D"HAS_LEVEL_TWO_LDAPAPI=$(HAS_LEVEL_TWO_LDAPAPI)" -D"LDAPVERSION=2"
else
ifdef HAVE_LDAP1823_HDRS
ifdef HAVE_LDAP1823_LIBS
SOURCES         += ldaplink.cxx gk_ldap_interface.cxx
ENDLDLIBS	+= -lldap
HAS_LDAP	= 1
export HAS_LDAP
# due to the unwise naming of the libH323 header, the std. header 'ldap.h'
# would be hooded, if the include search path would not PREpended
STDCCFLAGS_stub := $(STDCCFLAGS)
STDCCFLAGS	= -D"HAS_LDAP=$(HAS_LDAP)" -I$(LDAP1823DIR) $(STDCCFLAGS_stub)
LDFLAGS         += -L$(LDAP1823LIBDIR)
ifneq (,(LD_RUN_PATH))
LD_RUN_stub     := $(LD_RUN_PATH)
LD_RUN_PATH     += $(LD_RUN_stub):$(LDAP1823LIBDIR)
else
LD_RUN_PATH     += $(LDAP1823LIBDIR)
endif
export LD_RUN_PATH
endif
endif
endif

endif
# end of LDAP configuration


# MySQL support
# has to be added after LDAP support because order of -I options is crucial
ifndef NO_MYSQL
ifndef MYSQLDIR
ifneq (,$(wildcard /usr/include/mysql/mysql++))
MYSQLDIR := /usr/include/mysql
export MYSQLDIR
endif
endif

ifdef MYSQLDIR
ifneq (,$(wildcard $(MYSQLDIR)))
STDCCFLAGS_stub := $(STDCCFLAGS)
STDCCFLAGS	= -DHAS_MYSQL -I$(MYSQLDIR) $(STDCCFLAGS_stub)
#LDFLAGS	+= -L$(MYSQLDIR)/lib
ENDLDLIBS	+= -lsqlplus
HAS_MYSQL	= 1
endif
endif
endif

LDFLAGS		+= -L$(H323_LIBDIR)
LDLIBS		+= -l$(H323_LIB)

ifndef PWLIBDIR
PWLIBDIR=$(HOME)/pwlib
endif

include $(PWLIBDIR)/make/ptlib.mak

ifdef HAS_LEVEL_TWO_LDAPAPI
TARGET_LIBS += $(LDAP_LIB)
ifdef DEBUG
$(LDAP_LIB): 
	$(MAKE) -C ldap/src debug
else
$(LDAP_LIB):
	$(MAKE) -C ldap/src opt
endif
$(TARGET):	$(OBJS) $(TARGET_LIBS)
	$(MAKE) $(TARGET_LIBS)
	$(CPLUS) -o $@ $(CFLAGS) $(LDFLAGS) $(OBJS) $(LDAP_LIB) $(LDLIBS) $(ENDLDLIBS) $(ENDLDFLAGS)
endif

addpasswd: $(OBJDIR)/addpasswd.o
	$(CC) -s -o $(OBJDIR)/addpasswd $(OBJDIR)/addpasswd.o $(LDFLAGS) $(LDLIBS) $(ENDLDLIBS)


# Extra dependencies
RasSrv.o: RasSrv.cxx
RasSrv.cxx: RasSrv.h
RasSrv.cxx: RasTbl.h
RasTbl.cxx: RasTbl.h
RasTbl.o: RasTbl.cxx
BroadcastListen.cxx: BroadcastListen.h
GkAuthorize.o: GkAuthorize.cxx
GkAuthorize.cxx: GkAuthorize.h


# end

=== ldap/src/Makefile ===
#
#
#

ifndef PWLIBDIR
PWLIBDIR=$(HOME)/pwlib
endif

LDAP_SRCDIR = .
LDAP_INCLUDEDIR = ../include


include $(PWLIBDIR)/make/unix.mak

LDAPAPI_BASE = ldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX)
LDAPAPI_FILE = lib$(LDAPAPI_BASE).$(LIB_SUFFIX)
LIB_BASENAME=$(LDAPAPI_FILE)
LIB_FILENAME=$(LDAPAPI_FILE)

LDAP_LIBDIR = ../lib
OBJDIR = $(LDAP_LIBDIR)/$(PT_OBJBASE)
DEPDIR = $(OBJDIR)
TARGET = $(LDAP_LIBDIR)/$(LDAPAPI_FILE)


COMMON_SOURCES =	$(LDAP_SRCDIR)/delete.cxx      				$(LDAP_SRCDIR)/modify.cxx \
	         	$(LDAP_SRCDIR)/LDAP_SBindRequest_authentication.cxx  	$(LDAP_SRCDIR)/free.cxx \
			$(LDAP_SRCDIR)/getattr.cxx 				$(LDAP_SRCDIR)/messages.cxx \
			$(LDAP_SRCDIR)/LDAP_SFilter.cxx                      	$(LDAP_SRCDIR)/getdn.cxx \
			$(LDAP_SRCDIR)/options.cxx				$(LDAP_SRCDIR)/compare.cxx \
			$(LDAP_SRCDIR)/getresults.cxx  				$(LDAP_SRCDIR)/parse.cxx \
			$(LDAP_SRCDIR)/init.cxx        				$(LDAP_SRCDIR)/result.cxx \
			$(LDAP_SRCDIR)/abandon.cxx                           	$(LDAP_SRCDIR)/bind.cxx \
			$(LDAP_SRCDIR)/search.cxx				$(LDAP_SRCDIR)/add.cxx 

HEADER_FILES =      	$(LDAP_INCLUDEDIR)/ber.h 				$(LDAP_INCLUDEDIR)/ldap_cdefs.h \
			$(LDAP_INCLUDEDIR)/ldapapi.h				$(LDAP_SRCDIR)/LDAP_SBindRequest_authentication.h \
			$(LDAP_SRCDIR)/LDAP_SFilter.h				$(LDAP_SRCDIR)/ldap-int.h \


SOURCES = $(COMMON_SOURCES)

include $(PWLIBDIR)/make/unix.mak
include $(PWLIBDIR)/make/ptlib.mak
include $(PWLIBDIR)/make/lib.mak

STDCCFLAGS += -I../include -I. -I$(OPENH323DIR)/include


#all :: bothdepend both

%.a: $(OBJS)
	ar -rv $(TARGET) $(OBJS)
	ranlib $(TARGET)

%.so: $(OBJS)
	g++ -o $(TARGET) -shared $(OBJS)

## openh323gk 2.0.7.1

=== debian/changelog ===
openh323gk (1:2.0.7.1) unstable; urgency=medium

  * Dummy Package so that gnugk replaces openh323gk

 -- Mark Purcell <msp@debian.org>  Tue, 13 Apr 2004 07:54:17 +1000

openh323gk (1:2.0.7-1) unstable; urgency=low

  * New upstream release
  * Bring openh323gk upto the upstream stable release before Debian package
    changes name to gnugk, fix RC bugs.
  * Build-Depends: help2man (Closes: Bug#214461, Bug#231575)
  * Build-Conflicts: linux-kernel-headers (<< 2.5.999-test7-bk-14)
  * Build-Depends: linuxdoc-tools enables `make doc` target
  * Closes: #198046: Mysql support in openh323gk. Patch from Erwam MAS

 -- Mark Purcell <msp@debian.org>  Tue, 16 Mar 2004 23:18:35 +1100

openh323gk (1:2.0.6-2) unstable; urgency=low

  * LCA2004 release - Thanks Internode for the wireless access to upload!!
  * Enable RADIUS and plain text file accounting modules (Closes: Bug#223378)
  * Re-use version checking in gk_const.h
  * Build simple man pages using help2man
  * Remove obsolete README.Debian

 -- Mark Purcell <msp@debian.org>  Mon, 12 Jan 2004 19:07:35 +1100

openh323gk (1:2.0.6-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: libldap2-dev | libldap-dev (Closes: Bug#200226)
  * Rebuild for libopenh323-dev (Closes: Bug#211971)

 -- Mark Purcell <msp@debian.org>  Mon, 29 Sep 2003 21:36:39 +1000

openh323gk (1:2.0.5-2) unstable; urgency=low

  * Build-Depends: libsdl1.2-dev | libsdl-dev. Thanks Tomas Martisius
  * Build-Depends: libldap2-dev | libldap-dev (Closes: Bug#200226)
  * Rebuild for libopenh323-dev (Closes: Bug#211971)

 -- Mark Purcell <msp@debian.org>  Mon, 22 Sep 2003 21:10:34 +1000

openh323gk (1:2.0.5-1) unstable; urgency=low

  * New upstream release
  * Addpasswd patch from Torsten Knodt (Closes: Bug#198303)

 -- Mark Purcell <msp@debian.org>  Mon, 30 Jun 2003 22:32:13 +1000

openh323gk (1:2.0.4-2) unstable; urgency=low

  * Addpasswd patch from Torsten Knodt (Closes: Bug#198303)

 -- Mark Purcell <msp@debian.org>  Mon, 30 Jun 2003 22:29:37 +1000

openh323gk (1:2.0.4-1) unstable; urgency=low

  * New upstream release
  * Dont use dh_undocumented

 -- Mark Purcell <msp@debian.org>  Thu, 26 Jun 2003 22:22:12 +1000

openh323gk (1:2.0.3-2) unstable; urgency=low

  * Force libspeex1 dependancy (Closes: Bug#186903) dpkg-shlibdeps bug?
  * Include Build-Depends: libspeex-dev (libopenh323-dev bug?)

 -- Mark Purcell <msp@debian.org>  Sat,  5 Apr 2003 18:52:27 +1000

openh323gk (1:2.0.3-1) unstable; urgency=low

  * New upstream release
  * Rebuild for libopenh323-dev (1.11.7-3) (Closes: Bug#186462)
  * Hack gk_const.h to always force NEWVERSION. gk_const.h rules are
    wrong (what happens at 12.0.0?) and version.h not currently included
    in Debian

 -- Mark Purcell <msp@debian.org>  Sun, 30 Mar 2003 13:30:56 +1000

openh323gk (1:2.0.2-3) unstable; urgency=low

  * Rebuild for libopenh323-dev (1.11.6)
  * Rebuild for libopenh323-dev (1.11.7) 

 -- Mark Purcell <msp@debian.org>  Sun, 16 Mar 2003 14:16:51 +1100

openh323gk (1:2.0.2-2) unstable; urgency=low

  * Rebuild for libopenh323-dev (1.11.4)
  * Remove Build-Depends: libdc1394-dev
  * Rebuild for g++ (3.2)

 -- Mark Purcell <msp@debian.org>  Tue,  4 Feb 2003 21:14:44 +1100

openh323gk (1:2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun,  8 Dec 2002 18:53:37 +1100

openh323gk (1:2.0a-3) unstable; urgency=low

  * Rebuild for libopenh323-dev-1.9.10
  * Include Build-Depend: libdc1394-dev (needed for openh323-dev)

 -- Mark Purcell <msp@debian.org>  Sat, 26 Oct 2002 15:39:33 +1000

openh323gk (1:2.0a-2) unstable; urgency=low

  * Include docs/old/comparision.txt (Closes: Bug#156688)
  * Enable init.d reload - v2.0 support HUP (Closes: Bug#146149)
  * lintian fixup spelling
  * Include gcc 3.x cleanup from CVS in gkauth.cxx

 -- Mark Purcell <msp@debian.org>  Sun,  6 Oct 2002 22:53:47 +1000

openh323gk (1:2.0a-1) unstable; urgency=low

  * New upstream release
  * Update description 

 -- Mark Purcell <msp@debian.org>  Sun,  4 Aug 2002 20:37:03 +1000

openh323gk (2.0b9-2) unstable; urgency=low

  * Updated build for libopenh323-dev-1.9.3-1 

 -- Mark Purcell <msp@debian.org>  Wed, 17 Jul 2002 22:21:26 +1000

openh323gk (2.0b9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jun 2002 00:19:19 +1000

openh323gk (2.0b6-2) unstable; urgency=low

  * Change from Section: non-us/main to comm

 -- Mark Purcell <msp@debian.org>  Sun,  2 Jun 2002 00:31:28 +1000

openh323gk (2.0b6-1) unstable; urgency=low

  * New upstream release
  * Run as chuid gnugk (Closes: Bug#140503)
  * Cleanup old symlinks in /etc
  * readme.txt allows linking against OpenSSL & OpenH323 (Closes: Bug#142980)
  * Build-Depends: libopenh323-1.8.4 (Closes: Bug#147272)

 -- Mark Purcell <msp@debian.org>  Wed, 22 May 2002 23:55:51 +1000

openh323gk (2.0b4-2) unstable; urgency=low

  * Build for new libopenh323-1.8.4
  * Run as chuid openh323gk (Closes: Bug#140503)

 -- Mark Purcell <msp@debian.org>  Mon, 15 Apr 2002 20:35:47 +1000

openh323gk (2.0b4-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 23 Mar 2002 23:33:50 +1100

openh323gk (2.0b2-2) unstable; urgency=low

  * Revert to using start-stop-daemon in /etc/init.d/openh323gk.
    (Closes: Bug#136827)

 -- Mark Purcell <msp@debian.org>  Mon, 18 Mar 2002 21:31:08 +1100

openh323gk (2.0b2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 18 Feb 2002 14:29:18 +1100

openh323gk (1.2-3) unstable; urgency=low

  * Disable mysql support to enable build from source (Closes: Bug#122562) 

 -- Mark Purcell <msp@debian.org>  Sat,  8 Dec 2001 10:19:53 +1100

openh323gk (1.2-2) unstable; urgency=low

  * Upgrade to Build-Depends: libopenh323-dev

 -- Mark Purcell <msp@debian.org>  Mon, 26 Nov 2001 20:58:03 +1100

openh323gk (1.2-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#105421)



=== debian/control ===
Source: openh323gk
Section: comm
Priority: optional
Maintainer: Mark Purcell <msp@debian.org>
Standards-Version: 3.5.2

Package: openh323gk
Architecture: all
Conflicts: opengate
Depends: gnugk
Description: Legacy package for openh323gk that you should remove
 This package exists to smooth the transition from openh323gk to 
 the renamed gnugk package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
#
# openh323gk dummy debian/rules, based on unzip-crypt dummy rules

package = openh323gk
docdir = debian/tmp/usr/share/doc/$(package)

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cp -p debian/changelog debian/copyright $(docdir)
	gzip -9 $(docdir)/changelog
	dpkg-gencontrol -isp
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
version=2
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
#sunsite.unc.edu	/pub/Linux/Incoming	openh323gk-(.*)\.tar\.gz	debian	uupdate
http://aleron.dl.sourceforge.net/sourceforge/openh323gk/gnugk-(2.0..)\.tgz debian uupdate
#http://flow.dl.sourceforge.net/sourceforge/openh323gk/gnugk-(2.0..)\.tgz debian uupdate
